# Thread

Forum Thread

| Field               |                                                                                                                 Argument | Type                                                                     | Description |
| ------------------- | -----------------------------------------------------------------------------------------------------------------------: | ------------------------------------------------------------------------ | ----------- |
| **id**              |                         [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The id of the thread                                                     |             |
| **title**           |                    [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The title of the thread                                                  |             |
| **body**            |                    [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The text body of the thread (Markdown)                                   |             |
| asHtml              |                  [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | Return the string in pre-parsed html instead of markdown                 |             |
| **userId**          |                         [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The id of the thread owner user                                          |             |
| **replyUserId**     |                          [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The id of the user who most recently commented on the thread             |             |
| **replyCommentId**  |                          [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The id of the most recent comment on the thread                          |             |
| **replyCount**      |                          [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The number of comments on the thread                                     |             |
| **viewCount**       |                          [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The number of times users have viewed the thread                         |             |
| **isLocked**        |                  [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the thread is locked and can receive comments                         |             |
| **isSticky**        |                  [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the thread is stickied and should be displayed at the top of the page |             |
| **isSubscribed**    |                  [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the currently authenticated user is subscribed to the thread          |             |
| **likeCount**       |                         [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The amount of likes the thread has                                       |             |
| **isLiked**         |                  [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the currently authenticated user liked the thread                     |             |
| **repliedAt**       |                          [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The time of the last reply                                               |             |
| **createdAt**       |                         [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The time of the thread creation                                          |             |
| **updatedAt**       |                         [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The time of the thread last update                                       |             |
| **user**            |                        [User](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/user/README.md) | The owner of the thread                                                  |             |
| **replyUser**       |                        [User](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/user/README.md) | The user to last reply to the thread                                     |             |
| **likes**           |                     \[[User](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/user/README.md)] | The users who liked the thread                                           |             |
| **siteUrl**         |                    [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The url for the thread page on the AniList website                       |             |
| **categories**      | \[[ThreadCategory](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/threadcategory/README.md)] | The categories of the thread                                             |             |
| **mediaCategories** |                   \[[Media](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/media/README.md)] | The media categories of the thread                                       |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/thread.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
